Subject: Re: Mercurial 0.3 vs git benchmarks

From: Bill Davidsen <[email-masked]>
Date: Wed, 27 Apr 2005 17:10:03 -0400

Ingo Molnar wrote:
> * Andrew Morton <[email-masked]> wrote:
> 
> 
>>Magnus Damm <[email-masked]> wrote:
>>
>>>My primitive guess is that it was because
>>> the ext3 journal became full.
>>
>>The default ext3 journal size is inappropriately small, btw.  Normally 
>>you should manually make it 128M or so, rather than 32M.  Unless you 
>>have a small amount of memory and/or a large number of filesystems, in 
>>which case there might be problems with pinned memory.
>>
>>Mounting as ext2 is a useful technique for determining whether the fs 
>>is getting in the way.
> 
> 
> on ext3, when juggling patches and trees, the biggest performance boost 
> for me comes from adding noatime,nodiratime to the mount options in 
> /etc/fstab:
> 
>  LABEL=/ / ext3 noatime,nodiratime,defaults 1 1

I said much the same in another post, but noatime is not always what I 
really want. How about a "nojournalatime" option, so the atime would be 
updated at open and close, but not journaled at any other time. This 
would reduce journal traffic but still allow an admin to tell if anyone 
ever uses a file. The info would be lost in a crash, but otherwise 
preserved just as it is for ext2. Might even be useful for ext2, not to 
write the atime, just track it in core.

-- 
    -bill davidsen ([email-masked])
"The secret to procrastination is to put things off until the
  last possible moment - but no longer"  -me